This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 821380 - [as7] Return value for 'no metrics' has changed
[as7] Return value for 'no metrics' has changed
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Plugins (Show other bugs)
4.4
Unspecified Unspecified
urgent Severity unspecified (vote)
: ---
: RHQ 4.5.0
Assigned To: Heiko W. Rupp
Mike Foley
:
Depends On:
Blocks: as7-plugin 821381
  Show dependency treegraph
 
Reported: 2012-05-14 06:02 EDT by Heiko W. Rupp
Modified: 2013-09-01 06:05 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 821381 (view as bug list)
Environment:
Last Closed: 2013-09-01 06:05:14 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Heiko W. Rupp 2012-05-14 06:02:25 EDT
When as7 has no metrics yet calculated, it used to return "No metrics available".

The as7 plugin reacts on this string.

AS7 has changed the code and now sends JBAS018003: No metrics available

This results in tons of error messages like this in the agent log:

2012-05-14 11:41:45,281 WARN  [ResourceContainer.invoker.daemon-32] (rhq.modules.plugins.jbossas7.WebConnectorComponent)- Non numeric input for [errorCount] : [JBAS018003: No metrics available]
Comment 1 Heiko W. Rupp 2012-05-14 09:43:14 EDT
master ef8043233b0ed8f
Comment 2 Heiko W. Rupp 2013-09-01 06:05:14 EDT
Bulk closing of items that are on_qa and in old RHQ releases, which are out for a long time and where the issue has not been re-opened since.

Note You need to log in before you can comment on or make changes to this bug.